#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QPushButton>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    b = new QPushButton("text",this);
    connect(b,SIGNAL(clicked()),this, SLOT(updateTextSize()));

    b->setToolTip("tooltip");
    setCentralWidget(b);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::changeEvent(QEvent *e)
{
    QMainWindow::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

void MainWindow::updateTextSize()
{
    b->setStyleSheet("*{font-size: 20px;}");
}
